Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Block im Bestimmten Verzeichnis Speichern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Block im Bestimmten Verzeichnis Speichern (837 mal gelesen)
redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 22. Jun. 2006 23:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Abend

Ich habe bereits im Forum "Rund um Autocad" einen Beitrag mit dem gleichen Frage aber kamm ich nicht ganz ans Ziel.

Da mir gesagt wurde das es mit LSP funktioniert frag ich einfach mal da nach.

Ich möchte gerne aus einer Zeichnung ein Bauteil als Block in ein bestimmten Pfad Speichern.
- Befehl ausführen
- Gewünschte Objekte wählen
- Einügepunkt wählen
- Blocknamen eingeben
- Fertig Block wird erzeugt und im Pfad "U:\User" abgelegt

Gibt es so was??

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1774
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 23. Jun. 2006 07:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 23. Jun. 2006 20:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für den link CADwiesel

Werde es am weekend versuchen zum laufen zu bringen

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 26. Jun. 2006 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CadWiesel

Also ich habe den Code von Axel versucht.
aber ga passiert gar nichts bei mir.
auch keine fehlermeldung.

(defun c:USERBLOCK( / name bname o_expert path)
  (setq path"U:/USER/") ; Hier ändern!
  (setq name(getvar"dwgname")name(substr name 1(-(strlen name)4)))
  (if(or(tblsearch"block"(setq bname(strcat name"Z")))
        (tblsearch"block"(setq bname(strcat name"ZS")))
    )
    (progn
      (setq o_expert(getvar"expert"))
      (command"_wblock"(strcat path name".dwg")16 bname)
      (setvar"expert"o_expert)
    )
  )
)

Ist diser code fertig von Axel oder nur eine Auschnitt??
Weiss bin in einem LSP forum und sollte nicht solche fragen stellen.
aber wie ihr ja sicher bemerkt habt verstehe ich im moment noch nicht sehr viel vom Programmieren (LSP)

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Paulchen
Mitglied
Bauing./SW-Entwickler


Sehen Sie sich das Profil von Paulchen an!   Senden Sie eine Private Message an Paulchen  Schreiben Sie einen Gästebucheintrag für Paulchen

Beiträge: 1227
Registriert: 19.08.2004

erstellt am: 26. Jun. 2006 18:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

Hallo Andrea,

ich vermute auf die Schnelle (Feierabend!), daß die erwartetet Syntax nicht stimmt...

Zitat:
(command"_wblock"(strcat path name".dwg")16 bname)


Gib mal "_.-wblock" in die ACAD-Befehlszeile ein und notiere Dir die exakte Abfolge des Dialoges (oder Textfenster - F2). Diese muß mit Deinen Lisp-Angaben übereinstimmen. Viel Glück!
Freddy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dabrunz
Mitglied



Sehen Sie sich das Profil von Dabrunz an!   Senden Sie eine Private Message an Dabrunz  Schreiben Sie einen Gästebucheintrag für Dabrunz

Beiträge: 127
Registriert: 28.05.2003

erstellt am: 27. Jun. 2006 12:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

Tag zusammen.

Zitat:
Original erstellt von redfrog:
Hallo CadWiesel

Also ich habe den Code von Axel versucht.
aber ga passiert gar nichts bei mir.
auch keine fehlermeldung.

[..]

Ist diser code fertig von Axel oder nur eine Auschnitt??
Weiss bin in einem LSP forum und sollte nicht solche fragen stellen. 


Der Code ist fertig, passt aber nicht auf deinen Anwendungsfall. Halte dich am besten an CadWiesels Vorschlag und benutze wblock - spricht meiner Meinung nach nix dagegen, denn der Befehl arbeitet doch genau so, wie du es haben möchtest oder?

Achim Dabrunz

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 27. Jun. 2006 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Achim

ja ich kenne den Wblock, ist was ich will.
aber ohne das Menu den das ist für nichts.
Denn das ist viel zu umständlich und treibt mich in den wahnsinn!
Dauert ja ewig bis ich einen block abgelegt habe damit, da immer wieder das Menu kommt.

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1774
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 27. Jun. 2006 15:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

hier mal was unter 2002 geht
Code:

(if(and
    (setq a(ssget)
          b(getpoint "\nEinfügepunkt: ")
          c(getstring"\nBlockname: ")
          )
    (null(findfile(setq d(strcat "U:\\User\\"(vl-filename-base c)".dwg"))))
    )
        (command "_.wblock" d "" b a "")
        )


------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 28. Jun. 2006 10:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADwiesel

Danke für deinen Code.
aber wie kann ich den starten??

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Paulchen
Mitglied
Bauing./SW-Entwickler


Sehen Sie sich das Profil von Paulchen an!   Senden Sie eine Private Message an Paulchen  Schreiben Sie einen Gästebucheintrag für Paulchen

Beiträge: 1227
Registriert: 19.08.2004

erstellt am: 28. Jun. 2006 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

Hallo Andrea,
hallo CADwiesel - bitte um Verzeihung, daß ich mich einmische  . CADwiesels Code war als Denkanstoß gedacht - eine nahezu fertige Funktion. Nur das "defun" außenrum fehlt noch. Also:
Code:
(defun test (/ a b c d); Deklaration der Variablen, lokal
...[CADwiesels Code, siehe oben]...
);_und Schluss

Nochwas zum schmökern: http://www.autolisp.mapcar.net/
Frederik

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1774
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 28. Jun. 2006 12:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

Hier etwas zum laden und ausführen von Lisp-code http://ww3.cad.de/foren/ubb/Forum54/HTML/007058.shtml

und hier nochmal schnell das lisp
:
[code]
(defun c:Userblk ( / a b c d )
(vl-load-com)
(if(and
  (setq a(ssget)
        b(getpoint "\nEinfügepunkt: ")
        c(getstring"\nBlockname: ")
  )
  (null(findfile(setq d(strcat "U:\\User\\"(vl-filename-base c)".dwg"))))
    )
(command "_.wblock" d "" b a "")
)
)

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 28. Jun. 2006 12:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für redfrog 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Paulchen:
(defun test (/ a b c d)...

nimm besser einen anderen Funktionsnamen, denn c:test ist ein geschütztes Symbol ( wo auch immer )

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

redfrog
Mitglied



Sehen Sie sich das Profil von redfrog an!   Senden Sie eine Private Message an redfrog  Schreiben Sie einen Gästebucheintrag für redfrog

Beiträge: 56
Registriert: 07.04.2006

Win XP
Acad 2006

erstellt am: 28. Jun. 2006 13:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

SUPER SUPER   

Danke CADwiesel und Frederik

Andrea

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de